package cn.minbb.messagebarrage;

import android.graphics.Color;

public class MessageBarrage {

    private String avatar;
    private String name;
    private String message;
    private int color;
    private boolean showBorder;
    private int backgroundColor;

    public MessageBarrage(String avatar, String name, String message) {
        this(avatar, name, message, R.color.black, false, Color.WHITE);
    }

    public MessageBarrage(String avatar, String name, String message, int color) {
        this(avatar, name, message, color, false, Color.WHITE);
    }

    public MessageBarrage(String avatar, String name, String message, boolean showBorder) {
        this(avatar, name, message, R.color.black, showBorder, Color.WHITE);
    }

    public MessageBarrage(String avatar, String name, String message, int color, int backgroundColor) {
        this(avatar, name, message, color, false, backgroundColor);
    }

    private MessageBarrage(String avatar, String name, String message, int color, boolean showBorder, int backgroundColor) {
        this.avatar = avatar;
        this.name = name;
        this.message = message;
        this.color = color;
        this.showBorder = showBorder;
        this.backgroundColor = backgroundColor;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getColor() {
        return color;
    }

    public void setColor(int color) {
        this.color = color;
    }

    public boolean isShowBorder() {
        return showBorder;
    }

    public void setShowBorder(boolean showBorder) {
        this.showBorder = showBorder;
    }

    public int getBackgroundColor() {
        return backgroundColor;
    }

    public void setBackgroundColor(int backgroundColor) {
        this.backgroundColor = backgroundColor;
    }
}
