package cn.minbb.evaluation.activities;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.support.design.widget.FloatingActionButton;
import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.view.MenuItem;
import android.view.View;

import com.alibaba.fastjson.JSONObject;
import com.joanzapata.iconify.widget.IconTextView;

import java.text.SimpleDateFormat;

import butterknife.BindView;
import butterknife.ButterKnife;
import cn.minbb.evaluation.R;
import cn.minbb.evaluation.ctrl.App;
import cn.minbb.evaluation.entity.Paper;

public class MarkActivity extends AppCompatActivity implements View.OnClickListener {

    @BindView(R.id.timeTextView)
    IconTextView timeTextView;
    @BindView(R.id.durationTextView)
    IconTextView durationTextView;
    @BindView(R.id.questionCount)
    IconTextView questionCount;
    @BindView(R.id.totalScore)
    IconTextView totalScore;
    @BindView(R.id.correctRate)
    IconTextView correctRate;
    @BindView(R.id.markTextView)
    IconTextView markTextView;
    @BindView(R.id.resultTextView)
    IconTextView resultTextView;
    @BindView(R.id.suggestTextView)
    IconTextView suggestTextView;
    @BindView(R.id.fab)
    FloatingActionButton fab;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_mark);
        ButterKnife.bind(this);

        initView();
        setListener();
        loadData();
    }

    public static void start(Context context, String paperJSON) {
        Intent intent = new Intent(context, MarkActivity.class);
        intent.putExtra("paperJSON", paperJSON);
        context.startActivity(intent);
    }

    private void initView() {
        App.setupActionBar(this);
        Paper paper = JSONObject.parseObject(getIntent().getStringExtra("paperJSON"), Paper.class);
        timeTextView.setText(SimpleDateFormat.getDateTimeInstance().format(paper.getUpdatedAt()));
        durationTextView.setText(String.format("%d 秒", (paper.getEndedAt().getTime() - paper.getStartedAt().getTime()) / 1000));
        questionCount.setText(String.format("题目数：%s", paper.getQuestionList().size()));
        totalScore.setText(String.format("总分数：%.1f", paper.getScore()));
        correctRate.setText(String.format("正确率：%.1f%%", 100.0 * paper.getMark() / paper.getScore()));
        markTextView.setText(String.format("%.1f", paper.getMark()));
    }

    private void setListener() {
    }

    private void loadData() {
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case android.R.id.home:
                MarkActivity.this.finish();
                break;
            default:
        }
        return super.onOptionsItemSelected(item);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.fab:
                Snackbar.make(getWindow().getDecorView(), "查看本次评测内容答案", Snackbar.LENGTH_LONG)
                        .setAction("查看", new View.OnClickListener() {
                            @Override
                            public void onClick(View v) {
                                MarkActivity.this.finish();
                            }
                        }).show();
                break;
            case R.id.ok:
                MarkActivity.this.finish();
                break;
            default:
        }
    }
}
