package cn.minbb.evaluation.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;

import com.joanzapata.iconify.widget.IconTextView;

import java.util.List;

import butterknife.BindView;
import butterknife.ButterKnife;
import cn.minbb.evaluation.R;

public class MainTabThreeListAdapter extends BaseAdapter {

    // 映射数据
    private List<ItemBean> itemBeen;
    private LayoutInflater layoutInflater;

    public MainTabThreeListAdapter(Context context, List<ItemBean> itemBeen) {
        layoutInflater = LayoutInflater.from(context);
        this.itemBeen = itemBeen;
    }

    @Override
    public int getCount() {
        // 获取数据量
        return itemBeen.size();
    }

    @Override
    public Object getItem(int position) {
        // 获取对应 ID 项对应的 Item
        return itemBeen.get(position);
    }

    @Override
    public long getItemId(int position) {
        // 获取对应项 ID
        return position;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        ViewHolder viewHolder;
        if (convertView == null) {
            // 将 XML 转化为 View ，并不涉及到具体的布局，所以第二个参数通常设置为 null
            convertView = layoutInflater.inflate(R.layout.main_tab_3_list_item, parent, false);
            viewHolder = new ViewHolder(convertView);
            convertView.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) convertView.getTag();
        }
        // 取出 ItemBean 对象
        ItemBean itemBean = itemBeen.get(position);
        // 设置控件数据
        viewHolder.listName.setText(itemBean.listName);
        viewHolder.listDescribe.setText(itemBean.listDescribe);
        return convertView;
    }

    // ViewHolder 用于缓存控件
    class ViewHolder {

        @BindView(R.id.listName)
        IconTextView listName;
        @BindView(R.id.listDescribe)
        IconTextView listDescribe;

        ViewHolder(View view) {
            ButterKnife.bind(this, view);
        }
    }

    public static class ItemBean {

        String listName;
        String listDescribe;

        public ItemBean(String listName, String listDescribe) {
            this.listName = listName;
            this.listDescribe = listDescribe;
        }
    }
}
