package cn.minbb.evaluation.ctrl;

import com.activeandroid.query.Select;

import java.util.List;

import cn.minbb.evaluation.entity.User;

public class UserManager {

    private static final String PREFERENCE_USER = "user";

    /**
     * 用户登录
     * 将用户写入 本地文件 / 临时用户变量 保存
     *
     * @param user 用户实体
     */
    public static void userLogin(User user, boolean rememberPassword) {
        if (rememberPassword) {
            // SharedPreferences.Editor editorUser = App.getApp().getSharedPreferences(PREFERENCE_USER, Context.MODE_PRIVATE).edit();
            if (user != null) {
//                editorUser.putLong("key_user_id", user.getId());
//                editorUser.putString("key_user_username", user.getUsername());
//                editorUser.putString("key_user_password", user.getPassword());
//                editorUser.putString("key_user_name", user.getName());
//                editorUser.putString("key_user_email", user.getEmail());
//                editorUser.putString("key_user_phone", user.getPhone());
//                editorUser.putString("key_user_qq", user.getQq());
//                editorUser.putString("key_user_avatar", user.getAvatar());
                user.save();
            } else {
                // editorUser.clear();
            }
            // editorUser.apply();
        } else {
            App.user = user;
        }
    }

    /**
     * 用户登出
     * 清除本地的用户文件
     * 清除临时用户变量
     */
    public static void userLogout(User user) {
        System.out.println("清空本地用户");
//        App.getApp().getSharedPreferences(PREFERENCE_USER, Context.MODE_PRIVATE)
//                .edit()
//                .clear()
//                .apply();
        user.delete();
        App.user = null;
    }

    /**
     * 从本地文件中获取当前用户
     * 注：用户缓存时间过期逻辑未完成
     *
     * @return 用户实体
     */
    public static User getCurrentUser() {
        // 如果临时用户存在则返回临时用户
        User user = App.user;
        if (user != null) {
            return user;
        }
//        SharedPreferences sharedPreferencesUser = App.getApp().getSharedPreferences(PREFERENCE_USER, Context.MODE_PRIVATE);
//        String username = sharedPreferencesUser.getString("key_user_username", "");
//        if (!TextUtils.isEmpty(username)) {
//            user = new User();
//            user.setId(sharedPreferencesUser.getLong("key_user_id", -1));
//            user.setUsername(username);
//            user.setPassword(sharedPreferencesUser.getString("key_user_password", ""));
//            user.setName(sharedPreferencesUser.getString("key_user_name", ""));
//            user.setEmail(sharedPreferencesUser.getString("key_user_email", ""));
//            user.setPhone(sharedPreferencesUser.getString("key_user_phone", ""));
//            user.setQq(sharedPreferencesUser.getString("key_user_qq", ""));
//            user.setAvatar(sharedPreferencesUser.getString("key_user_avatar", ""));
//        }
        List<User> users = new Select().from(User.class).execute();
        if (users.size() == 1) {
            user = users.get(0);
        }
        return user;
    }
}
