package cn.minbb.evaluation.dao;

import com.activeandroid.ActiveAndroid;
import com.activeandroid.query.Delete;
import com.activeandroid.query.Select;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import cn.minbb.evaluation.entity.Classification;

public class ClassificationDao extends Dao<Classification> {

    private static final ClassificationDao CLASSIFICATION_DAO = new ClassificationDao();

    private ClassificationDao() {
    }

    public static ClassificationDao getClassificationDao() {
        return CLASSIFICATION_DAO;
    }

    @Override
    public Classification findById(Long id) {
        return new Select().from(Classification.class).where("id = ?", id).executeSingle();
    }

    @Override
    public Classification findByE_Id(Long e_id) {
        return new Select().from(Classification.class).where("e_id = ?", e_id).executeSingle();
    }

    @Override
    public List<Classification> findAll() {
        return new Select().from(Classification.class).execute();
    }

    @Override
    public Classification save(Classification var) {
        Classification classification = null;
        long id = var.save();
        if (id != -1) {
            classification = findById(id);
        }
        return classification;
    }

    @Override
    public List<Classification> saveAll(Collection<Classification> var) {
        List<Classification> classificationList = new ArrayList<>(var.size());
        ActiveAndroid.beginTransaction();
        try {
            for (Classification classification : var) {
                long id = classification.save();
                if (id != -1) {
                    classificationList.add(findById(id));
                }
            }
            ActiveAndroid.setTransactionSuccessful();
        } finally {
            ActiveAndroid.endTransaction();
        }
        return classificationList;
    }

    @Override
    public void delete(Classification var) {
        var.delete();
    }

    @Override
    public void deleteAll() {
        new Delete().from(Classification.class).execute();
    }
}
