package cn.minbb.evaluation.dao;

import android.database.sqlite.SQLiteDatabase;

import cn.minbb.evaluation.ctrl.App;

public class DatabaseManager {

    private static final DatabaseManager DATABASE_MANAGER = new DatabaseManager();

    private DatabaseManager() {
        databaseUtil = DatabaseUtil.getInstance(App.getApp());
    }

    public static DatabaseManager getDatabaseManager() {
        return DATABASE_MANAGER;
    }

    private static DatabaseUtil databaseUtil;

    private static final String TABLE_NAME = "sqlite_sequence";

    public static void resetClassificationId() {
        SQLiteDatabase dbWrite = databaseUtil.getWritableDatabase();
        dbWrite.execSQL("DELETE FROM " + TABLE_NAME + " WHERE name = 'classification'");
        dbWrite.close();
    }

    public static void resetPaperId() {
        SQLiteDatabase dbWrite = databaseUtil.getWritableDatabase();
        dbWrite.execSQL("UPDATE " + TABLE_NAME + " SET seq = 0 WHERE name = 'paper'");
        dbWrite.close();
    }

    public static void resetAllTableId() {
        SQLiteDatabase dbWrite = databaseUtil.getWritableDatabase();
        dbWrite.execSQL("DELETE FROM " + TABLE_NAME);
        dbWrite.close();
    }
}
