package cn.minbb.evaluation.entity;

import com.activeandroid.Model;
import com.activeandroid.annotation.Column;
import com.activeandroid.annotation.Table;

import java.util.Date;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@NoArgsConstructor
@Table(name = "answer", id = "id")
// 答案实体
public class Answer extends Model {

    @Getter
    @Setter
    @Column(name = "e_id")
    private Long e_id;

    @Getter
    @Setter
    @Column(name = "content")
    private String content;         // 答案内容

    @Getter
    @Setter
    @Column(name = "score")
    private Float score;            // 答案分数

    @Getter
    @Setter
    @Column(name = "question_id")
    private Question question;      // 题目（外键）

    @Getter
    @Setter
    @Column(name = "created_at")
    private Date createdAt;         // 创建时间

    @Getter
    @Setter
    @Column(name = "updated_at")
    private Date updatedAt;         // 更新时间

    @Column(name = "version")
    private Long version;           // 版本号

    public Answer(Long e_id) {
        this.e_id = e_id;
    }
}
