package cn.minbb.evaluation.entity;

import com.activeandroid.Model;
import com.activeandroid.annotation.Column;
import com.activeandroid.annotation.Table;

import java.util.Date;
import java.util.List;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

@NoArgsConstructor
@Table(name = "classification", id = "id")
@ToString(callSuper = true, includeFieldNames = true, exclude = "replyList")
// 题目类别实体
public class Classification extends Model {

    @Getter
    @Setter
    @Column(name = "e_id")
    private Long e_id;

    @Getter
    @Setter
    @Column(name = "name")
    private String name;                // 题目类别

    @Getter
    @Setter
    @Column(name = "introduction")
    private String introduction;        // 题目类别介绍

    @Getter
    @Setter
    @Column(name = "remark")
    private String remark;              // 备注

    @Getter
    @Setter
    @Column(name = "order_by")
    private Integer orderBy;            // 排序

    @Getter
    @Setter
    @Column(name = "enabled")
    private Boolean enabled;            // 启用题库

    @Getter
    @Setter
    private List<Question> questionList;// 题目（列表）

    @Setter
    private List<Reply> replyList;      // 回复（列表）

    public List<Reply> getReplyList() {
        // return getMany(Reply.class, "classification_id");
        return replyList;
    }

    @Getter
    @Setter
    @Column(name = "created_at")
    private Date createdAt;             // 创建时间

    @Getter
    @Setter
    @Column(name = "updated_at")
    private Date updatedAt;             // 更新时间

    @Column(name = "version")
    private Long version;               // 版本号
}
