package cn.minbb.evaluation.entity;

import com.activeandroid.Model;
import com.activeandroid.annotation.Column;
import com.activeandroid.annotation.Table;

import java.util.Date;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Table(name = "feedback", id = "id")
@NoArgsConstructor
// 反馈实体
public class Feedback extends Model {

    @Getter
    @Setter
    @Column(name = "e_id")
    private Long e_id;

    @Getter
    @Setter
    @Column(name = "type")
    private String type;                // 反馈类型

    @Getter
    @Setter
    @Column(name = "title")
    private String title;               // 反馈标题

    @Getter
    @Setter
    @Column(name = "content")
    private String content;             // 反馈内容

    @Getter
    @Setter
    @Column(name = "name")
    private String name;                // 联系人

    @Getter
    @Setter
    @Column(name = "contact")
    private String contact;             // 联系方式

    @Getter
    @Setter
    @Column(name = "reply")
    private String reply;               // 反馈回复

    @Getter
    @Setter
    @Column(name = "user_id")
    private User user;                  // 用户（外键）

    @Getter
    @Setter
    @Column(name = "created_at")
    private Date createdAt;             // 创建时间

    @Getter
    @Setter
    @Column(name = "updated_at")
    private Date updatedAt;             // 更新时间

    @Column(name = "version")
    public Long version;                // 版本号
}
