package cn.minbb.evaluation.entity;

import com.activeandroid.Model;
import com.activeandroid.annotation.Column;
import com.activeandroid.annotation.Table;

import java.util.Date;
import java.util.List;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@NoArgsConstructor
@Table(name = "paper", id = "id")
// 试卷实体
public class Paper extends Model {

    @Getter
    @Setter
    @Column(name = "e_id")
    private Long e_id;

    @Getter
    @Setter
    @Column(name = "user_id")
    private User user;                      // 所属用户（外键）

    @Getter
    @Setter
    @Column(name = "score")
    private Float score;                    // 试卷总分值

    @Getter
    @Setter
    @Column(name = "mark")
    private Float mark;                     // 试卷得分

    @Getter
    @Setter
    @Column(name = "started_at")
    private Date startedAt;                 // 开始时间

    @Getter
    @Setter
    @Column(name = "ended_at")
    private Date endedAt;                   // 结束时间

    @Getter
    @Setter
    private List<Question> questionList;    // 题目（列表）

    @Getter
    @Setter
    @Column(name = "reply_id")
    private Reply reply;                    // 回复（外键）

    @Getter
    @Setter
    @Column(name = "created_at")
    private Date createdAt;                 // 创建时间

    @Getter
    @Setter
    @Column(name = "updated_at")
    private Date updatedAt;                 // 更新时间

    @Column(name = "version")
    private Long version;                   // 版本号

    public Paper(Long e_id) {
        this.e_id = e_id;
    }
}
