package cn.minbb.evaluation.entity;

import com.activeandroid.Model;
import com.activeandroid.annotation.Column;
import com.activeandroid.annotation.Table;

import java.util.Date;
import java.util.List;
import java.util.Set;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@NoArgsConstructor
@Table(name = "question", id = "id")
// 题目实体
public class Question extends Model {

    @Getter
    @Setter
    @Column(name = "e_id")
    private Long e_id;

    @Getter
    @Setter
    @Column(name = "type")
    private Integer type;                   // 题目类别

    @Getter
    @Setter
    @Column(name = "content")
    private String content;                 // 题目内容

    @Getter
    @Setter
    @Column(name = "explanation")
    private String explanation;             // 题目解答

    @Getter
    @Setter
    @Column(name = "score")
    private Float score;                    // 题目分值

    @Setter
    private Set<Answer> answerSet;          // 题目答案（集合）

    public Set<Answer> getAnswerSet() {
        // return new HashSet<>(getMany(Answer.class, "question_id"));
        return answerSet;
    }

    @Getter
    @Setter
    @Column(name = "enabled")
    private Boolean enabled;                // 启用题目

    @Getter
    @Setter
    private List<Classification> classificationList;      // 题目类别（列表）

    @Getter
    @Setter
    private List<Paper> paperList;            // 试卷（列表）

    @Getter
    @Setter
    @Column(name = "created_at")
    private Date createdAt;                 // 创建时间

    @Getter
    @Setter
    @Column(name = "updated_at")
    private Date updatedAt;                 // 更新时间

    @Getter
    @Setter
    @Column(name = "version")
    private Long version;                   // 版本

    public Question(Long e_id) {
        this.e_id = e_id;
    }
}
