package cn.minbb.evaluation.entity;

import com.activeandroid.Model;
import com.activeandroid.annotation.Column;
import com.activeandroid.annotation.Table;

import java.util.Date;
import java.util.List;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@NoArgsConstructor
@Table(name = "reply", id = "id")
// 回应实体
public class Reply extends Model {

    @Getter
    @Setter
    @Column(name = "e_id")
    private Long e_id;

    @Getter
    @Setter
    @Column(name = "more_than")
    private Float moreThan;                     // 大于等于

    @Getter
    @Setter
    @Column(name = "classification_id")
    private Classification classification;      // 题目类别（外键）

    @Setter
    private List<Paper> paperList;              // 试卷（列表）

    public List<Paper> getPaperList() {
        // return getMany(Paper.class, "reply_id");
        return paperList;
    }

    @Getter
    @Setter
    @Column(name = "created_at")
    private Date createdAt;                     // 创建时间

    @Getter
    @Setter
    @Column(name = "updated_at")
    private Date updatedAt;                     // 更新时间

    @Column(name = "version")
    public Long version;                        // 版本号
}
