package cn.minbb.evaluation.entity;

import com.activeandroid.Model;
import com.activeandroid.annotation.Column;
import com.activeandroid.annotation.Table;

import java.util.Date;
import java.util.List;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@NoArgsConstructor
@Table(name = "user", id = "id")
// 用户实体
public class User extends Model {

    @Getter
    @Setter
    @Column(name = "e_id")
    private Long e_id;

    @Getter
    @Setter
    @Column(name = "username")
    private String username;                // 用户名

    @Getter
    @Setter
    @Column(name = "password")
    private String password;                // 密码

    @Getter
    @Setter
    @Column(name = "name")
    private String name;                    // 用户姓名

    @Getter
    @Setter
    @Column(name = "email")
    private String email;                   // 电子邮箱

    @Getter
    @Setter
    @Column(name = "phone")
    private String phone;                   // 电话

    @Getter
    @Setter
    @Column(name = "qq")
    private String qq;                      // QQ

    @Getter
    @Setter
    @Column(name = "avatar")
    private String avatar;                  // 用户头像

    @Getter
    @Setter
    @Column(name = "permission")
    private Integer permission;             // 权限

    @Setter
    private List<Paper> paperList;            // 试卷（列表）

    public List<Paper> getPaperList() {
        // return getMany(Paper.class, "user_id");
        return paperList;
    }

    @Setter
    private List<Feedback> feedbackList;      // 反馈（列表）

    public List<Feedback> getFeedbackList() {
        // return getMany(Feedback.class, "user_id");
        return feedbackList;
    }

    @Getter
    @Setter
    @Column(name = "created_at")
    private Date createdAt;                 // 创建时间

    @Getter
    @Setter
    @Column(name = "updated_at")
    private Date updatedAt;                 // 更新时间

    @Column(name = "version")
    private Long version;                   // 版本号

    public User(String username, String password) {
        this.username = username;
        this.password = password;
    }
}
