package cn.minbb.evaluation.fragment;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.support.v4.app.Fragment;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import cn.bingoogolapple.bgabanner.BGABanner;
import cn.bingoogolapple.bgabanner.transformer.RotatePageTransformer;
import cn.bingoogolapple.bgabanner.transformer.TransitionEffect;
import cn.minbb.evaluation.R;
import cn.minbb.evaluation.adapter.StartActivityBGABannerAdapter;
import cn.minbb.evaluation.ctrl.App;

public class GuideFragment extends Fragment implements View.OnKeyListener {

    private BGABanner banner;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_first_start, container, false);
        banner = view.findViewById(R.id.banner);
        banner.setTransitionEffect(TransitionEffect.Default);       // 用 Java 代码方式设置切换动画
        banner.setPageTransformer(new RotatePageTransformer());
        banner.setPageChangeDuration(600);                          // 设置 page 切换时长
        banner.setAutoPlayAble(false);                              // 关闭自动切换
        banner.setAdapter(new StartActivityBGABannerAdapter(getActivity()));
        // banner.setDelegate(this);

        List<View> views = new ArrayList<>();
        View page_1, page_2, page_3, page_4;
        page_1 = inflater.inflate(R.layout.guide_page_1, null);
        page_2 = inflater.inflate(R.layout.guide_page_2, null);
        page_3 = inflater.inflate(R.layout.guide_page_3, null);
        page_4 = inflater.inflate(R.layout.guide_page_4, null);
        views.add(page_1);
        views.add(page_2);
        views.add(page_3);
        views.add(page_4);
        banner.setData(views, Arrays.asList("1", "2", "3", "4"), Arrays.asList("1 / 4", "2 / 4", "3 / 4", "4 / 4"));

        page_4.findViewById(R.id.enter).setOnClickListener(v -> {
            getFragmentManager().popBackStack();
            SharedPreferences.Editor editor = PreferenceManager.getDefaultSharedPreferences(App.getApp()).edit();
            editor.putInt("start_code", getArguments().getInt("versionCode"));
            editor.apply();
        });
        return view;
    }

    @Override
    public void onAttach(Context context) {
        super.onAttach(context);
    }

    @Override
    public void onDetach() {
        super.onDetach();
        if (banner != null) {
            banner.removeAllViews();
        }
    }

    @Override
    public boolean onKey(View v, int keyCode, KeyEvent event) {
        if (event.getAction() == KeyEvent.ACTION_DOWN && keyCode == KeyEvent.KEYCODE_BACK) {
            // 监听到返回按钮点击事件后销毁此 Fragment
            // getFragmentManager().popBackStack();
            // 未处理
            return true;
        }
        return false;
    }
}
