package cn.minbb.evaluation.utils;

import android.view.MotionEvent;
import android.view.View;

public class OnDoubleClickListener implements View.OnTouchListener {

    private int count = 0;
    private long firstClick = 0;
    private long secondClick = 0;
    /**
     * 两次点击时间间隔，单位毫秒
     */
    private final int interval = 800;
    private DoubleClickCallback doubleClickCallback;

    public interface DoubleClickCallback {
        void onDoubleClick();
    }

    public OnDoubleClickListener(DoubleClickCallback doubleClickCallback) {
        super();
        this.doubleClickCallback = doubleClickCallback;
    }

    @Override
    public boolean onTouch(View v, MotionEvent event) {
        if (MotionEvent.ACTION_DOWN == event.getAction()) {
            count++;
            if (1 == count) {
                firstClick = System.currentTimeMillis();
            } else if (2 == count) {
                secondClick = System.currentTimeMillis();
                if (secondClick - firstClick < interval) {
                    if (doubleClickCallback != null) {
                        doubleClickCallback.onDoubleClick();
                    } else {
                        System.out.println("请在构造方法中传入一个双击回调");
                    }
                    count = 0;
                    firstClick = 0;
                } else {
                    firstClick = secondClick;
                    count = 1;
                }
                secondClick = 0;
            }
        }
        return true;
    }
}
