package cn.minbb.evaluation.utils;

import java.util.HashMap;
import java.util.Map;

public class ResponseMap {

    public static final String RESULT;
    public static final String SUMMARY;
    public static final String REMARK;
    public static final String DATA;

    static {
        RESULT = "result";
        SUMMARY = "summary";
        REMARK = "remark";
        DATA = "data";
    }

    private Map<String, Object> map;

    public ResponseMap() {
        map = new HashMap<>();
    }

    public ResponseMap(int initialCapacity) {
        map = new HashMap<>(initialCapacity);
    }

    public ResponseMap putResult(Object result) {
        map.put(RESULT, result);
        return this;
    }

    public ResponseMap putSummary(String summary) {
        map.put(SUMMARY, summary);
        return this;
    }

    public ResponseMap putRemark(String remark) {
        map.put(REMARK, remark);
        return this;
    }

    public ResponseMap putData(Object data) {
        map.put(DATA, data);
        return this;
    }

    public ResponseMap putAll(String key, String value) {
        map.put(key, value);
        return this;
    }

    public Map<String, Object> getMap() {
        return map;
    }
}
